GNUNET-MESSENGER(1)

NAME
gnunet-messenger - Open and connect to rooms using the MESSENGER service to chat.

SYNOPSIS
gnunet-messenger [-c FILENAME | --config=FILENAME] [-d PEERIDENTITY | --door=PEERIDENTITY] [-e IDENTITY | --ego=IDENTITY] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l LOGFILE | --logfile=LOGFILE] [-p | --private] [-r ROOMKEY | --room=ROOMKEY] [-v | --version]

DESCRIPTION
gnunet-messenger is a command line tool to connect to rooms using the MESSENGER service to chat.

OPTIONS

-c FILENAME | --config=FILENAME
    Use the specified configuration file FILENAME.

-d PEERIDENTITY | --did=PEERIDENTITY
    peer identity to entry into the room.

-e IDENTITY | --ego=IDENTITY
    identity to use for messaging

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-l LOGFILE | --logfile=LOGFILE
    Configure logging to write logs to LOGFILE.

-p | --private
    flag to enable private mode.

-r ROOMKEY | --room=ROOMKEY
    key of the room to connect to.

-v | --version
    Print GNUnet version number.

SEE ALSO
The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook.

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.